﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Frequency Readout Accuracy Test /9640
INSTRUMENT:            Sub PSA (2 yr) Frequency Span Test /9640
INSTRUMENT:            Sub PSA (2 yr) Input Attenuation Switching Test /9640
INSTRUMENT:            Sub PSA (2 yr) Display Scale Fidelity Test /9640
DATE:                  2015-06-09 10:54:52
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 8934 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       13
NUMBER OF LINES:       191
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        Agilent PSA (E444xA) series
#
#  Compatibility:
#        MET/CAL version 7.20x or later
#
#  Additional Equipment Required:
#        Attenuator, fixed, 10 dB nominal, Type N (m)-(f), 50 MHz, 50 Ohms;
#         Agilent 8491A Opt 010 or equivalent
#        Attenuator, fixed, 20 dB nominal, Type N (m)-(f), 50 MHz, 50 Ohms;
#         Agilent 8491A Opt 020 or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         FREQUENCY_READOUT            PSUBI("Readout")

  1.002  MATH         DevName = @9640DevName
  1.003  JMPL         FREQUENCY_SPAN               PSUBI("Span")

  1.004  MATH         AccMode = @AccModeAtten50Abs
  1.005  JMPL         INPUT_ATTENUATION            PSUBI("Switching")
  1.006  JMPL         SCALE_FIDELITY               PSUBI("Fidelity")
  1.007  DISP         Called {Subprocedure Not Found}!
  1.008  END

  1.009  EVAL   Increment Test Number

# =====  Sub PSA Frequency Readout Accuracy Test /9640  =====================

  2.001  LABEL        FREQUENCY_READOUT

  2.002  JMPL         FREQUENCY_READOUT_CONTINUE
  2.003  EVAL   Display connection instructions on Repeat/Cancel.
  3.001  MATH         @Connected = ""
  3.002  CALL         Sub PSA Display Connection

  3.003  IF           @Abort
  3.004  END
  3.005  ENDIF

  3.006  LABEL        FREQUENCY_READOUT_CONTINUE
  3.007  HEAD         -2 Center Frequency: [V @Center] / Span: [V @Span]
  3.008  TSET         TDESC = [V @Center] / [V @Span]; UUT_RES = 10
  3.009  MATH         CenterHz = BASE(@Center); SpanHz = BASE(@Span)
  3.010  MATH         CenterMHz = CenterHz / 1E+6
  3.011  9640         OutputImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  3.011  9640         +Frequency = [V CenterMHz] MHz; Level = -10 dBm
  3.012  SCPI         FREQ:CENT [V CenterHz];SPAN [V SpanHz]
  3.013  TARGET       -m
  3.014  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;X?[I]
  3.015  MATH         MEM = MEM / 1E+6
  3.016  MEMCX        MHz            TOL

  4.001  END

  4.002  EVAL   Increment Test Number

# =====  Sub PSA (2 yr) Frequency Span Test /9640  ==========================

  5.001  LABEL        FREQUENCY_SPAN

# Establish values for accuracy file lookup.
  5.002  MATH         AccMode = @AccModeTimebase; Conf = CONF(DevName)
# Compute base values for each frequency setting.
  5.003  MATH         CenterHz = BASE(@Center); SpanHz = BASE(@Span)
  5.004  MATH         RBW_Hz = BASE(@RBW); SpanRatio = SpanHz * 0.8
# Compute the offset from center frequency (4 divisions) which must be
# applied for each span setting.
  5.005  MATH         FreqOffset = SpanHz / 10 * 4
# Compute the 1st and 2nd frequencies to apply.
  5.006  MATH         Freq1Hz = CenterHz - FreqOffset
  5.007  MATH         Freq2Hz = CenterHz + FreqOffset

  5.008  JMPL         FREQUENCY_SPAN_CONTINUE
  5.009  EVAL   Display connection instructions on Repeat/Cancel.
  6.001  MATH         @Connected = ""
  6.002  CALL         Sub PSA Display Connection
  6.003  LABEL        FREQUENCY_SPAN_CONTINUE

  6.004  HEAD         -2 Span: [V @Span] / Center Frequency: [V @Center]
  6.005  TSET         TDESC = [V @Span] / [V @Center]
  6.006  SCPI         FREQ:CENT [V CenterHz];SPAN [V SpanHz]
  6.007  SCPI         BAND:RES [V RBW_Hz]
  6.008  TARGET       -m
  6.009  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz
  6.009  9640         +Frequency = [V Freq1Hz] Hz; Level = -10 dBm
  6.010  MATH         Span1Unc = ACCV(DevName, AccMode, MEM1) / Conf
  6.011  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;X?[I]
  6.012  MATH         StartFreq = MEM
  6.013  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz
  6.013  9640         +Frequency = [V Freq2Hz] Hz; Level = -10 dBm
  6.014  MATH         Span2Unc = ACCV(DevName, AccMode, MEM1) / Conf
  6.015  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;X?[I]
  6.016  MATH         MEM = (1 - ((MEM - StartFreq) / SpanRatio)) * 100
  6.017  MATH         L[1] = 1 / ((RSS2(Span1Unc, Span2Unc)) * 2)
  6.018  ACC          0.000pct       L1U
  6.019  MEMCX        0.000pct       0.225U

  7.001  END

  7.002  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Input Attenuation Switching Test /9640  =============

  8.001  LABEL        INPUT_ATTENUATION

  8.002  MATH         Atten = BASE(@Atten); UUT_RefLvl = Atten - 70
  8.003  MATH         AttenStep = @RefLvl - (10 - Atten)

  8.004  JMPL         INPUT_ATTENUATION_CONTINUE
  8.005  EVAL   Display connection instructions on Repeat/Cancel.
  9.001  MATH         @Connected = ""
  9.002  CALL         Sub PSA Set Input Attenuation Switching Ref Level /9640
  9.003  LABEL        INPUT_ATTENUATION_CONTINUE

  9.004  IF           @Abort
  9.005  END
  9.006  ENDIF

  9.007  IF           Atten < 10
  9.008  TSET         TDESC = [32][V @Atten]
  9.009  ELSE
  9.010  TSET         TDESC = [V @Atten]
  9.011  ENDIF

  9.012  HEAD         -2 Input Attenuation: [V @Atten]
  9.013  9640         OutpImpedance = 50 Ohms; RefFrequencyOutput = 10 MHz
  9.013  9640         +Level = [V AttenStep] dBm; Frequency = 50 MHz
  9.014  SCPI         POW:ATT [V Atten];:DISP:WIND:TRAC:Y:RLEV [V UUT_RefLvl]
  9.015  MATH         TestUnc = ACCV2(DevName, AccMode, AttenStep, 50E+6)
  9.016  MATH         L[1] = RSS2(@RefUnc, TestUnc)
  9.017  ACC          0.00dB         L1U
  9.018  TARGET       -m
  9.019  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  9.020  MATH         MEM = MEM + (10 - Atten)
  9.021  MEMCX        0.00dB         TOL

 10.001  END

 10.002  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Display Scale Fidelity Test /9640  ==================

 11.001  LABEL        SCALE_FIDELITY

 11.002  HEAD         -2 Input Mixer Level: -16 dBm
 11.003  SCPI         CALC:MARK:Y?[I]
 11.004  MATH         RefLvl = MEM
 11.005  TSET         TDESC = -16 dBm
 11.006  MATH         TestLvl = @9640Lvl + 19
 11.007  9640         RefFreqOutput = 10 MHz; OutputImpedance = 50 Ohms
 11.007  9640         +Level = [V TestLvl] dBm; Freq = 50 MHz
 11.008  ACC          -6.000dBm      0.049U
 11.009  TARGET       -m
 11.010  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 11.011  MEMCX        -6.000dBm      0.130U
#! WARNING: Test Tol 7.4076e-006, Sys Tol 2.8501e-006 W, TUR 2.5990 (< 4.00).

 12.001  HEAD         -2 Input Mixer Level: -21 dBm
 12.002  TSET         TDESC = -21 dBm
 12.003  MATH         TestLvl = @9640Lvl + 14
 12.004  9640         RefFreqOutput = 10 MHz; OutputImpedance = 50 Ohms
 12.004  9640         +Level = [V TestLvl] dBm; Freq = 50 MHz
 12.005  ACC          -11.000dBm     0.049U
 12.006  TARGET       -m
 12.007  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
 12.008  MEMCX        -11.000dBm     0.070U
#! WARNING: Test Tol 1.27e-006, Sys Tol 9.0129e-007 W, TUR 1.4091 (< 4.00).

 13.001  END
