﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) 2nd Harmonic Distortion VER /9640
INSTRUMENT:            Sub PSA (2 yr) Frequency Response (LF) VER /9640
DATE:                  2015-01-20 16:21:38
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10157 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       9
NUMBER OF LINES:       212
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Additional Equipment Required:
#        Filter, Low Pass, 1.8 GHz, 50 Ohms, Rejection at 3.6 GHz: >45 dB,
#          2 ea.; Agilent 0955-0491 or equivalent
#
#  Uncertainty Analysis:
#
#   2nd Harmonic Distortion:
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#      - 9640A Amplitude Accuracy specification at fundamental frequency
#      - 9640A to UUT mismatch uncertainty at fundamental frequency
#      - 9640A Amplitude Accuracy specification at 2nd Harmonic frequency
#      - 9640A to UUT mismatch uncertainty at 2nd Harmonic frequency
#      - UUT Display Scale Fidelity specification
#
#   Frequency Response (300 kHz to 3 GHz):
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8482A Power Sensor Cal Factor Uncertainty
#      - 8482A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667A to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8482A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Enable the Reference Frequency Output.
  1.001  9640         ReferenceFrequencyOutput = 10 MHz; OutputImp = 50 Ohms
  1.001  9640         +Frequency = 10 MHz; Level = 0 dBm; Setup

  1.002  MATH         @Error = 0
  1.003  CALL         Sub PSA Get Questionable Calibration Status

  1.004  IF           @AlignAllReq
  1.005  CALL         Sub PSA Internal Alignment
  1.006  ENDIF

  1.007  JMPL         2ND_HARMONIC                 PSUBI("Harmonic")
  1.008  JMPL         LF_FREQ_RESPONSE             PSUBI("LF")
  1.009  DISP         Called {Subprocedure Not Found}!
  1.010  END

  1.011  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) 2nd Harmonic Distortion VER /9640  =================

  2.001  LABEL        2ND_HARMONIC

  2.002  RSLT         =
  2.003  HEAD         {SECOND HARMONIC DISTORTION (-11 dBm Mixer Level)}
  2.004  RSLT         = Fundamental Frequency
  2.005  MATH         @Connection = "lpn_to_psa_ext"

  2.006  JMPL         2ND_HARMONIC_CONTINUE
  2.007  EVAL   Display connection instructions on Repeat/Cancel.
  3.001  MATH         @Connected = ""
  3.002  LABEL        2ND_HARMONIC_CONTINUE

  3.003  CALL         Sub PSA Display Connection

  3.004  IF           @Abort
  3.005  END
  3.006  ENDIF

  3.007  SCPI         SYST:PRES
  3.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6

  3.009  MATH         @Freq = "40 MHz"; @LoadSWR = 1.07
  3.010  CALL         Sub PSA Second Harmonic Distortion Test /9640
  3.011  TARGET       -m
  3.012  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  3.013  MATH         MEM = MEM + @FreqRespErr
  3.014  ACC          dBc            M6U                                   +DW
# Lower limit in TOL field represents specified noise floor of UUT.
  3.015  MEMCX        -53.0dBc       0.0U -97.0U

  4.001  MATH         @Freq = "290 MHz"; @LoadSWR = 1.2
  4.002  CALL         Sub PSA Second Harmonic Distortion Test /9640
  4.003  TARGET       -m
  4.004  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  4.005  MATH         MEM = MEM + @FreqRespErr
  4.006  ACC          dBc            M6U                                   +DW
  4.007  MEMCX        -53.0dBc       0.0U -97.0U

  5.001  MATH         @Freq = "1000 MHz"
  5.002  CALL         Sub PSA Second Harmonic Distortion Test /9640
  5.003  TARGET       -m
  5.004  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  5.005  MATH         MEM = MEM + @FreqRespErr
  5.006  ACC          dBc            M6U                                   +DW
  5.007  MEMCX        -63.0dBc       0.0U -87.0U

  6.001  MATH         @Freq = "1450 MHz"
  6.002  CALL         Sub PSA Second Harmonic Distortion Test /9640
  6.003  TARGET       -m
  6.004  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  6.005  MATH         MEM = MEM + @FreqRespErr
  6.006  ACC          dBc            M6U                                   +DW
  6.007  MEMCX        -53.0dBc       0.0U -97.0U

  7.001  MATH         @Freq = "1550 MHz"
  7.002  CALL         Sub PSA Second Harmonic Distortion Test /9640
  7.003  TARGET       -m
  7.004  SCPI         [T60000]INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]
  7.005  MATH         MEM = MEM + @FreqRespErr
  7.006  ACC          dBc            M6U                                   +DW
  7.007  MEMCX        -91.0dBc       0.0U -59.0U

  8.001  9640         Standby

  8.002  IF           ZCMPI(@AlertMode, "Beep")
  8.003  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  8.004  ENDIF

  8.005  DISP         REMOVE the two (2) 1.8 GHz Low Pass Filters from the
  8.005  DISP         test setup.

  8.006  HEAD         -2
  8.007  SCPI         SYST:PRES
  8.008  HEAD
  8.009  END

  8.010  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Frequency Response (LF) VER /9640  =================

  9.001  LABEL        LF_FREQ_RESPONSE

  9.002  RSLT         =
  9.003  HEAD         {FREQUENCY RESPONSE BELOW 300 kHz}
  9.004  RSLT         = -10 dBm, 10 dB Input Attenuation
  9.005  TARGET
  9.006  MATH         @Connection = "lpn_to_psa_ext"
  9.007  CALL         Sub PSA Set Frequency Response (LF) Ref Level /9640

  9.008  IF           @Opt_1DS || @Opt_110
# Ensure preamp (if equipped) is turned off.
  9.009  SCPI         POW:GAIN OFF
  9.010  ENDIF

  9.011  MATH         @Freq = "10 Hz"
  9.012  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.013  MATH         @Freq = "20 Hz"
  9.014  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.015  MATH         @Freq = "50 Hz"
  9.016  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.017  MATH         @Freq = "80 Hz"
  9.018  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.019  MATH         @Freq = "100 Hz"
  9.020  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.021  MATH         @Freq = "200 Hz"
  9.022  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.023  MATH         @Freq = "500 Hz"
  9.024  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.025  MATH         @Freq = "800 Hz"
  9.026  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.027  MATH         @Freq = "1 kHz"
  9.028  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.029  MATH         @Freq = "2 kHz"
  9.030  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.031  MATH         @Freq = "5 kHz"
  9.032  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.033  MATH         @Freq = "9 kHz"
  9.034  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.035  MATH         @Freq = "10 kHz"
  9.036  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.037  MATH         @Freq = "20 kHz"
  9.038  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.039  MATH         @Freq = "50 kHz"
  9.040  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.041  MATH         @Freq = "80 kHz"
  9.042  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.043  MATH         @Freq = "100 kHz"
  9.044  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640
  9.045  MATH         @Freq = "300 kHz"
  9.046  CALL         Sub PSA (1 yr) Frequency Response (LF) Test /9640

  9.047  HEAD         -2
  9.048  MATH         DEL("@RefUncPct")
  9.049  9640         Standby
  9.050  SCPI         SYST:PRES
  9.051  HEAD
  9.052  END
