﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA (2 yr) Noise Sidebands (<50 kHz) VER /9640-LPN
INSTRUMENT:            Sub PSA (2 yr) Noise Sidebands (>50 kHz) VER /9640-LPN
DATE:                  2015-01-20 16:13:49
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10157 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       357
CONFIGURATION:         Fluke 9640A (LPN)
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.20x or later
#
#  Additional Equipment Required:
#        Fluke 9600FLT Wide Offset Phase Noise Filter
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Enable the Reference Frequency Output.
  1.001  9640         ReferenceFrequencyOutput = 10 MHz; OutputImp = 50 Ohms
  1.001  9640         +Frequency = 10 MHz; Level = 0 dBm; Setup

  1.002  MATH         @Error = 0

  1.003  JMPL         TEST_START_LO                PSUBI("<50 kHz")
  1.004  JMPL         TEST_START_HI                PSUBI(">50 kHz")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Noise Sidebands (<50 kHz) VER /9640-LPN  ===========

  2.001  LABEL        TEST_START_LO
  2.002  RSLT         =
  2.003  HEAD         {NOISE SIDEBANDS (Offset from 1 GHz)}
  2.004  RSLT         =
  2.005  RSLT         = < 50 kHz Offsets
  2.006  MATH         @Connection = "lpn_to_psa_ext"

  2.007  JMPL         NOISE_SIDEBANDS_LF_CONTINUE
  2.008  EVAL   Display connection instructions on Repeat/Cancel.
  3.001  MATH         @Connected = ""
  3.002  LABEL        NOISE_SIDEBANDS_LF_CONTINUE

  3.003  CALL         Sub PSA Display Connection

  3.004  IF           @Abort
  3.005  END
  3.006  ENDIF

  3.007  SCPI         SYST:PRES
  3.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6
  3.009  SCPI         FREQ:CENT 1E+9;SPAN 4E+3
  3.010  SCPI         DISP:WIND:TRAC:Y:RLEV -10
  3.011  SCPI         BAND:RES 10;:SWE:TIME:AUTO:RUL ACC;:POW:ATT 0
  3.012  SCPI         FREQ:SYNT 1
  3.013  9640         OutputImp = 50 Ohms; RefFreqOutput = 10 MHz; LPN
  3.013  9640         +Frequency = 1 GHz; Level = -10 dBm
  3.014  MATH         @TestName = "Close Offset Noise"
  3.015  MATH         @PSA_RefLvl = -10; @9640Lvl = @PSA_RefLvl
  3.016  MATH         @HiLimit = @PSA_RefLvl + 0.05
  3.017  MATH         @LoLimit = @PSA_RefLvl - 0.05
  3.018  MATH         @9640Freq = 1E+9
  3.019  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

  3.020  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
  3.021  HEAD         -2 Setting UUT reference level, Please Wait...
  3.022  CALL         Sub PSA Set Ref Level (Log) /9640
  3.023  ENDW

  3.024  IF           @Error
  3.025  EVAL   -e 0 : An error occurred during the [V @TestName].
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  SCPI         CALC:MARK:X?[I]
  4.005  MATH         @Carrier = MEM
  4.006  JMPL         TEST_CONTINUE_LO
# Establish target for Repeat/Cancel for 100 Hz test in order to refresh
# 'stale' reference value previously established.
  4.007  TARGET       -p
  4.008  MATH         @Connected = ""
  4.009  JMPL         NOISE_SIDEBANDS_LF_CONTINUE

  4.010  LABEL        TEST_CONTINUE_LO
  4.011  HEAD         -2 Carrier Offset: 100 Hz
  4.012  TSET         TDESC = 100 Hz
  4.013  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MODE DELTA
  4.014  MATH         TestFreq = @Carrier + 100
  4.015  SCPI         FREQ:CENT [V TestFreq];SPAN 0;:DISP:WIND:TRAC:Y:RLEV -70
  4.016  SCPI         AVER:COUN 50;STAT ON
  4.017  TARGET       -m
  4.018  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
# Add the following corrections to the UUT indication:
#  -10.00 dB because the measurement is made at a 10 Hz RBW but is specified
#            in a 1 Hz RBW
#    1.05 dB for the Rayleigh Distribution of noise
#    1.45 dB for the Log Response of the UUT
#   -0.25 dB for the Equivalent Noise Bandwidth of RBW filters
  4.019  MATH         MEM = MEM + (-10) - (1.05 + 1.45 - (-0.25))
  4.020  ACC          dBc/Hz         0.36U                                 +DW
  4.021  MEMCX        -91.00dBc/Hz   -37.00U

  5.001  HEAD         -2 Carrier Offset: 990 Hz
  5.002  TSET         TDESC = 990 Hz
  5.003  9640         OutputImpedance = 50 Ohms; RefFreqOutput = 10 MHz
  5.003  9640         +Level = [V @9640Lvl] dBm; Freq = 1 GHz; LPN
  5.004  MATH         TestFreq = @Carrier + 990
  5.005  SCPI         FREQ:CENT [V TestFreq]
  5.006  TARGET       -m
  5.007  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  5.008  MATH         MEM = MEM + (-10) - (1.05 + 1.45 - (-0.25))
  5.009  ACC          dBc/Hz         0.36U                                 +DW
  5.010  MEMCX        -103.00dBc/Hz  -37.00U

  6.001  HEAD         -2 Carrier Offset: 10 kHz
  6.002  TSET         TDESC = 10 kHz
  6.003  9640         OutputImpedance = 50 Ohms; RefFreqOutput = 10 MHz
  6.003  9640         +Level = [V @9640Lvl] dBm; Freq = 1 GHz; LPN
  6.004  MATH         TestFreq = @Carrier + 10E+3
  6.005  SCPI         FREQ:CENT [V TestFreq]
  6.006  TARGET       -m
  6.007  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  6.008  MATH         MEM = MEM + (-10) - (1.05 + 1.45 - (-0.25))
  6.009  ACC          dBc/Hz         0.58U                                 +DW

  6.010  IF           (@SN >= 4402)
  6.011  MATH         MEM1 = -116
  6.012  ELSE
  6.013  MATH         MEM1 = -114
  6.014  ENDIF

  6.015  TSET         CPT = [MEM1] dBc/Hz
  6.016  MEMCX        dBc/Hz         -57.00U

  7.001  HEAD         -2 Carrier Offset: 30 kHz
  7.002  TSET         TDESC = 30 kHz
  7.003  9640         OutputImpedance = 50 Ohms; RefFreqOutput = 10 MHz
  7.003  9640         +Level = [V @9640Lvl] dBm; Freq = 1 GHz; LPN
  7.004  MATH         TestFreq = @Carrier + 30E+3
  7.005  SCPI         FREQ:CENT [V TestFreq]
  7.006  TARGET       -m
  7.007  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
  7.008  MATH         MEM = MEM + (-10) - (1.05 + 1.45 - (-0.25))
  7.009  ACC          dBc/Hz         0.57U                                 +DW

  7.010  IF           (@SN >= 4402)
  7.011  MATH         MEM1 = -116
  7.012  ELSE
  7.013  MATH         MEM1 = -114
  7.014  ENDIF

  7.015  TSET         CPT = [MEM1] dBc/Hz
  7.016  MEMCX        dBc/Hz         -57.00U

  8.001  HEAD         -2
  8.002  9640         Standby
  8.003  SCPI         SYST:PRES
  8.004  HEAD
  8.005  END

  8.006  EVAL   Increment Test Number

# =====  Sub PSA (1 yr) Noise Sidebands (>50 kHz) VER /9640-LPN  ===========

  9.001  LABEL        TEST_START_HI
  9.002  HEAD         NOISE SIDEBANDS (Offset from 1 GHz)
  9.003  RSLT         =
  9.004  RSLT         = > 50 kHz Offsets
  9.005  MATH         @Connection = "lpn_via_9600flt_to_psa_ext"

  9.006  JMPL         NOISE_SIDEBANDS_HF_CONTINUE
  9.007  EVAL   Display connection instructions on Repeat/Cancel.
 10.001  MATH         @Connected = ""
 10.002  LABEL        NOISE_SIDEBANDS_HF_CONTINUE

 10.003  CALL         Sub PSA Display Connection

 10.004  IF           @Abort
 10.005  END
 10.006  ENDIF

 10.007  SCPI         SYST:PRES
 10.008  SCPI         INIT:CONT OFF;:ROSC:SOUR EXT;EXT:FREQ 10E+6

 10.009  HEAD         -2 Carrier Offset: 100 kHz
 10.010  SCPI         FREQ:CENT 1E+9;SPAN 4E+3;:DISP:WIND:TRAC:Y:RLEV -10
 10.011  SCPI         BAND:RES 10;:SWE:TIME:AUTO:RUL ACC;:POW:ATT 0
 10.012  SCPI         FREQ:SYNT 2
 10.013  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz; LPN
 10.013  9640         +Level = -10 dBm; Frequency = 1 GHz
 10.014  MATH         @TestName = "Wide Offset Noise"
 10.015  MATH         @PSA_RefLvl = -10; @9640Lvl = @PSA_RefLvl
 10.016  MATH         @HiLimit = @PSA_RefLvl + 0.05
 10.017  MATH         @LoLimit = @PSA_RefLvl - 0.05
 10.018  MATH         @9640Freq = 1E+9
 10.019  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

 10.020  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
 10.021  HEAD         -2 Setting UUT reference level, Please Wait...
 10.022  CALL         Sub PSA Set Ref Level (Log) /9640
 10.023  ENDW

 10.024  IF           @Error
 10.025  EVAL   -e 0 : An error occurred during [V @TestName].
 11.001  MATH         @Error = 0
 11.002  END
 11.003  ENDIF

 11.004  SCPI         CALC:MARK:X?[I]
 11.005  MATH         @Carrier = MEM

 11.006  JMPL         TEST_CONTINUE_HI
 11.007  TARGET       -p
 11.008  MATH         @Connected = ""
 11.009  JMPL         NOISE_SIDEBANDS_HF_CONTINUE

 11.010  LABEL        TEST_CONTINUE_HI
 11.011  HEAD         -2 Carrier Offset: 100 kHz
 11.012  TSET         TDESC = 100 kHz
 11.013  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:MODE DELTA
 11.014  MATH         TestFreq = @Carrier + 100E+3
 11.015  SCPI         FREQ:CENT [V TestFreq];SPAN 0;:DISP:WIND:TRAC:Y:RLEV -70
 11.016  SCPI         BAND:RES 300;VID 100;:AVER:COUN 50;STAT ON
 11.017  TARGET       -m
 11.018  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz; LPN
 11.018  9640         +Level = [V @9640Lvl] dBm; Frequency = 1 GHz
 11.019  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 11.020  MATH         RawValue = DBMTOW(MEM)
 11.021  9640         Standby
 11.022  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 11.023  MATH         Floor = DBMTOW(MEM)
 11.024  MATH         Noise = WTODBM(RawValue - Floor)
# Add the following corrections to the computed UUT indication:
#  -24.77 dB because the measurement is made at a 300 Hz RBW but is specified
#            in a 1 Hz RBW
#    1.05 dB for the Rayleigh Distribution of noise
#    1.45 dB for the Log Response of the UUT
#   -0.25 dB for the Equivalent Noise Bandwidth of RBW filters
 11.025  MATH         Correction = (-24.77) - (1.05 + 1.45 - (-0.25))
 11.026  MATH         MEM = Noise + Correction
 11.027  ACC          dBc/Hz         0.58U                                 +DW

 11.028  IF           (@SN >= 4402)
 11.029  MATH         MEM1 = -122
 11.030  ELSE
 11.031  MATH         MEM1 = -120
 11.032  ENDIF

 11.033  TSET         CPT = [MEM1] dBc/Hz
 11.034  MEMCX        dBc/Hz         -57.00U

 12.001  HEAD         -2 Carrier Offset: 1 MHz
 12.002  TSET         TDESC = 1 MHz
 12.003  MATH         TestFreq = @Carrier + 1E+6
 12.004  SCPI         FREQ:CENT [V TestFreq]
 12.005  TARGET       -m
 12.006  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz; LPN
 12.006  9640         +Level = [V @9640Lvl] dBm; Frequency = 1 GHz
 12.007  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 12.008  MATH         RawValue = DBMTOW(MEM)
 12.009  9640         Standby
 12.010  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 12.011  MATH         Floor = DBMTOW(MEM)
 12.012  MATH         Noise = WTODBM(RawValue - Floor)
 12.013  MATH         MEM = Noise + Correction
 12.014  ACC          dBc/Hz         0.58U                                 +DW

 12.015  IF           (@SN >= 4402)
 12.016  MATH         MEM1 = -145
 12.017  ELSE
 12.018  MATH         MEM1 = -144
 12.019  ENDIF

 12.020  TSET         CPT = [MEM1] dBc/Hz
 12.021  MEMCX        dBc/Hz         -57.00U

 13.001  9640         Reset

 13.002  HEAD         -2 Carrier Offset: 6 MHz
 13.003  TSET         TDESC = 6 MHz
 13.004  MATH         TestFreq = @Carrier + 6E+6
 13.005  SCPI         FREQ:CENT [V TestFreq]
 13.006  TARGET       -m
 13.007  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz; LPN
 13.007  9640         +Level = [V @9640Lvl] dBm; Frequency = 1 GHz
 13.008  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 13.009  MATH         RawValue = DBMTOW(MEM)
 13.010  9640         Standby
 13.011  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 13.012  MATH         Floor = DBMTOW(MEM)
 13.013  MATH         Noise = WTODBM(ABS(RawValue - Floor))
 13.014  MATH         MEM = Noise + Correction
 13.015  ACC          dBc/Hz         0.58U                                 +DW

 13.016  IF           (@SN >= 4402)
 13.017  MATH         MEM1 = -153
 13.018  ELSE
 13.019  MATH         MEM1 = -151
 13.020  ENDIF

 13.021  TSET         CPT = [MEM1] dBc/Hz
 13.022  MEMCX        dBc/Hz         -57.00U

 14.001  HEAD         -2 Carrier Offset: 9.9 MHz
 14.002  TSET         TDESC = 9.9 MHz
 14.003  MATH         TestFreq = @Carrier + 9.9E+6
 14.004  SCPI         FREQ:CENT [V TestFreq]
 14.005  TARGET       -m
 14.006  9640         OutputImp = 50 Ohms; RefFrequencyOutput = 10 MHz; LPN
 14.006  9640         +Level = [V @9640Lvl] dBm; Frequency = 1 GHz
 14.007  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 14.008  MATH         RawValue = DBMTOW(MEM)
 14.009  9640         Standby
 14.010  SCPI         [T90000]INIT:IMM;*WAI;:CALC:MARK:Y?[I]
 14.011  MATH         Floor = DBMTOW(MEM)
 14.012  MATH         Noise = WTODBM(ABS(RawValue - Floor))
 14.013  MATH         MEM = Noise + Correction
 14.014  ACC          dBc/Hz         0.58U                                 +DW

 14.015  IF           (@SN >= 4402)
 14.016  MATH         MEM1 = -155
 14.017  ELSE
 14.018  MATH         MEM1 = -151
 14.019  ENDIF

 14.020  TSET         CPT = [MEM1] dBc/Hz
 14.021  MEMCX        dBc/Hz         -57.00U

 15.001  HEAD         -2
 15.002  9640         Standby
 15.003  SCPI         SYST:PRES

 15.004  IF           ZCMPI(@AlertMode, "Beep")
 15.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
 15.006  HEAD         -2
 15.007  ENDIF

 15.008  DISP         REMOVE the Leveling Head connection to the 9600FLT
 15.008  DISP         1 GHz Wide Offset Phase Noise Filter.

 15.009  HEAD
 15.010  END
