﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Char Power Splitter Tracking /4419,8482,SWPG
DATE:                  2011-12-07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       167
STANDARD:              Agilent 11667A
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Various PSA models
#
#  Compatibility:
#        MET/CAL 7.3.19 or later
#
#  Subprocedures:
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Characterize Power Splitter /4419,8482,8482,SWPG
#
#  Required Files:
#        char_11667a_using_e4419_swpg.jpg
#        char_11667a_20db_e4419_swpg.jpg
#
#  Additional Equipment Required:
#        Splitter, Power, Range: 300 MHz to 3 GHz, Type N, 50 Ohms, Insertion
#          Loss: 6 dB, Port Tracking: <0.25 dB, Equivalent Output SWR: <1.22;
#          Agilent® 11667A or equivalent
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         -2 Creating Temporary Initialization File...
  1.002  MATH         @FileName = "psa_pwr_spltr_char.ini"
  1.003  CALL         Sub RIF/WIF Directory
  1.004  MATH         @IniFile = @RifWifDir & "\\" & @FileName

  1.005  IF           NOT(@Preamp)
  1.006  MATH         @Section = "timestamp"
  1.007  MATH         @Parameter = "time"
  1.008  MATH         TimeStamp = UTIME()
  1.009  MATH         Insert = WIF(@IniFile, @Section, @Parameter, TimeStamp)

  1.010  IF           NOT(Insert)
  1.011  CALL         Sub WIF Error

  1.012  IF           @Error
  1.013  END
  1.014  ENDIF

  1.015  ENDIF

  1.016  MATH         @TestName = "Power Splitter Char"
  1.017  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.018  HEAD         -2 Power Splitter Characterization (Preamp Off)
  1.019  TARGET       -p
  1.020  PIC          char_11667a_using_e4419_swpg.jpg
  1.021  MATH         @Section = "buried_power_preamp_off"; @RefLvl = -10
  1.022  MATH         @LoLimit = -10.02; @HiLimit = -9.98; @TestLvl = -4

  1.023  ELSE

  1.024  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.025  HEAD         -2 Power Splitter Characterization (Preamp On)
  1.026  PIC          char_11667a_20db_e4419_swpg.jpg
  1.027  MATH         @Section = "buried_power_preamp_on"; @RefLvl = -13
  1.028  MATH         @LoLimit = -13.02; @HiLimit = -12.98; @TestLvl = +13
  1.029  ENDIF

  1.030  STD          Agilent 11667A

  1.031  MATH         @CenterFreq = 50E+6; @Chan = "A"
  1.032  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.033  MATH         @CenterFreq = 350E+6
  1.034  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.035  MATH         @CenterFreq = 450E+6
  1.036  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.037  MATH         @CenterFreq = 550E+6
  1.038  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.039  MATH         @CenterFreq = 650E+6
  1.040  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.041  MATH         @CenterFreq = 750E+6
  1.042  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.043  MATH         @CenterFreq = 850E+6
  1.044  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.045  MATH         @CenterFreq = 950E+6
  1.046  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.047  MATH         @CenterFreq = 1.05E+9
  1.048  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.049  MATH         @CenterFreq = 1.15E+9
  1.050  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.051  MATH         @CenterFreq = 1.25E+9
  1.052  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.053  MATH         @CenterFreq = 1.35E+9
  1.054  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.055  MATH         @CenterFreq = 1.45E+9
  1.056  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.057  MATH         @CenterFreq = 1.55E+9
  1.058  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.059  MATH         @CenterFreq = 1.65E+9
  1.060  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.061  MATH         @CenterFreq = 1.75E+9
  1.062  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.063  MATH         @CenterFreq = 1.85E+9
  1.064  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.065  MATH         @CenterFreq = 1.95E+9
  1.066  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.067  MATH         @CenterFreq = 2.05E+9
  1.068  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.069  MATH         @CenterFreq = 2.15E+9
  1.070  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.071  MATH         @CenterFreq = 2.25E+9
  1.072  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.073  MATH         @CenterFreq = 2.35E+9
  1.074  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.075  MATH         @CenterFreq = 2.45E+9
  1.076  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.077  MATH         @CenterFreq = 2.55E+9
  1.078  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.079  MATH         @CenterFreq = 2.65E+9
  1.080  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.081  MATH         @CenterFreq = 2.75E+9
  1.082  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.083  MATH         @CenterFreq = 2.85E+9
  1.084  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.085  MATH         @CenterFreq = 2.95E+9
  1.086  CALL         Sub Characterize Power Splitter /4419,8482,8482,SWPG

  1.087  END
