﻿Copyright (c) (2015) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Display Connection
DATE:                  2015-06-09 11:00:29
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 12257 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       267
=============================================================================
#
# Procedure Author:
#        DFM, CAD
#
# Model(s) Covered:
#        Agilent PSA series
#
# Compatibility:
#        MET/CAL 7.2 or later
#
# Additional Equipment Required:
#        None
#
# The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           NOT(ZCMPI(@Connected, @Connection))

# Determine upper frequency limit.
  1.002  IF           @E4443A
  1.003  MATH         Limit = "6.7 GHz"
  1.004  ELSEIF       @E4445A
  1.005  MATH         Limit = "13.2 GHz"
  1.006  ELSE
  1.007  MATH         Limit = "26.5 GHz"
  1.008  ENDIF

  1.009  IF           ZCMPI(@AlertMode, "Beep")
  1.010  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.011  ENDIF

  1.012  HEAD         -2 Connection Instructions

# The following characterizes 11667A output ports directly using an E4419().
  1.013  IF           ZCMPI(@Connection, "char_11667a_using_e4419_swpg")
  1.014  PIC          char_11667a_using_e4419_swpg.jpg

# The following characterizes 11667A output ports via 20 dB using an E4419().
  1.015  ELSEIF       ZCMPI(@Connection, "char_11667a_20db_e4419_swpg")
  1.016  PIC          char_11667a_20db_e4419_swpg.jpg

# The following characterizes 11667B output ports directly using an E4419().
  1.017  ELSEIF       ZCMPI(@Connection, "char_11667b_using_e4419_swpg")
  1.018  PIC          char_11667b_using_e4419_swpg.jpg

# The following characterizes 11667B output ports via 20 dB using an E4419().
  1.019  ELSEIF       ZCMPI(@Connection, "char_11667b_20db_e4419_swpg")
  1.020  PIC          char_11667b_20db_e4419_swpg.jpg

  1.021  ELSEIF       ZCMPI(@Connection, "frequency_counter_96270")
  1.022  DISP         Make the following connection:
  1.022  DISP
  1.022  DISP         [32] UUT (rear)     to   [V @9640DevName] (rear)
  1.022  DISP         [32] 10 MHZ REF OUT ---> 300 MHz FREQUENCY COUNTER INPUT
  1.023  HEAD         -2 External Frequency Reference Connection
# Retreive configured Frequency Reference name.
  1.024  MATH         FreqRef = INI("startup", "FreqRefDevName")
  1.025  DISP         Connect the [V FreqRef] 10 MHz Frequency Output
  1.025  DISP         to the [V @9640DevName] REF FREQUENCY INPUT.

  1.026  ELSEIF       ZCMPI(@Connection, "none")
  1.027  DISP         Disconnect all equipment from the UUT RF Input.

  1.028  ELSEIF       ZCMPI(@Connection, "lpn_to_psa_ext")
  1.029  PIC          lpn_to_psa_ext.png
  1.030  MATH         Time = "12½ minutes"

  1.031  ELSEIF       ZCMPI(@Connection, "lpn_via_10db_to_psa_ext")
  1.032  PIC          lpn_via_10db_to_psa_ext.png
  1.033  MATH         Time = "5 minutes"

  1.034  ELSEIF       ZCMPI(@Connection, "lpn_via_20db_to_psa_ext")
  1.035  PIC          lpn_via_20db_to_psa_ext.png
  1.036  MATH         Time = "2¾ minutes"

  1.037  ELSEIF       ZCMPI(@Connection, "lpn_via_9600flt_to_psa_ext")
  1.038  PIC          9600flt_installation.png
  1.039  PIC          lpn_via_9600flt_to_psa_ext.png

  1.040  ELSEIF       ZCMPI(@Connection, "profile_11667a_using_96270")
  1.041  PIC          profile_11667a_96270a.png

# The following uses Power Meter Ch. A, 11667A Splitter, <= 18 GHz sensor.
  1.042  ELSEIF       ZCMPI(@Connection, "psa_freq_resp_a_11667a_swpg")
  1.043  PIC          psa_freq_resp_a_11667a_swpg.jpg

# The following uses Power Meter Ch. A, 11667B Splitter, <= 26.5 GHz sensor.
  1.044  ELSEIF       ZCMPI(@Connection, "psa_freq_resp_a_11667b_swpg")
  1.045  PIC          psa_freq_resp_a_11667b_swpg.jpg

# The following uses Power Meter Ch. B, 11667A Splitter, <= 18 GHz sensor.
  1.046  ELSEIF       ZCMPI(@Connection, "psa_freq_resp_b_11667a_swpg")
  1.047  PIC          psa_freq_resp_b_11667a_swpg.jpg

# The following uses 96270A leveled by sensor 2 with 11667B Splitter.
  1.048  ELSEIF       ZCMPI(@Connection, "psa_freq_resp_2_11667b_96270")
  1.049  PIC          psa_freqresp-2_96270a+11667b.png
  1.050  MATH         Time = "25 minutes"

# The following uses Power Meter Ch. B, 11667B Splitter, <= 26.5 GHz sensor.
  1.051  ELSEIF       ZCMPI(@Connection, "psa_freq_resp_b_11667b_swpg")
  1.052  PIC          psa_freq_resp_b_11667b_swpg.jpg

# The following uses 96270A leveled by sensor 2 (buried) with 11667A Splitter.
  1.053  ELSEIF       ZCMPI(@Connection, "psa_freqresp-2_96270a+11667a")
  1.054  PIC          psa_freqresp-2_96270a+11667a.png

# The following applies to both 1DS and 110 preamps below 3 GHz.
  1.055  ELSEIF       ZCMPI(@Connection, "psa_freqresp_110_8481d_swpg.jpg")
  1.056  PIC          char_11667b_20db_e4419_swpg.jpg

# The following uses Power Meter Ch. A, 11667A Splitter, 8481D sensor.
  1.057  ELSEIF       ZCMPI(@Connection, "psa_freqresp_110_8481d_swpg.jpg")
  1.058  PIC          psa_freqresp_110_8481d_swpg.jpg

# The following uses Power Meter Ch. A, 11667A Splitter, 8485D sensor.
  1.059  ELSEIF       ZCMPI(@Connection, "psa_freqresp_110_8485d_swpg.jpg")
  1.060  PIC          psa_freqresp_110_8485d_swpg.jpg

# The following used for 1DS or 110 preamp with 11667A and 20 dB attenuator.
  1.061  ELSEIF       ZCMPI(@Connection, "psa_freqresp_pre_11667a_swpg")
  1.062  PIC          psa_freqresp_pre_11667a_swpg.jpg

# The following used for 1DS or 110 preamp with 11667A and 20 dB attenuator.
  1.063  ELSEIF       ZCMPI(@Connection, "psa_freqresp-pre_96270a+11667a")
# 1.064  PIC          psa_freqresp-pre_96270a+67a.jpg

# The following used for 1DS or 110 preamp with 11667B and 20 dB attenuator.
  1.064  ELSEIF       ZCMPI(@Connection, "psa_freqresp_pre_11667b_swpg")
  1.065  PIC          psa_freqresp_pre_11667b_swpg.jpg

# TOI using 96270A/LL/HF with two 10 dB attenuators plus additional 11667B
# as a combiner.
  1.066  ELSEIF       ZCMPI(@Connection, "psa_toi_96270a+ll+hf_uwsg")
  1.067  PIC          psa_toi_96270a+ll+hf_uwsg.png

# The following (6) employ an 11667A Power Splitter...
  1.068  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_1_lo_swpg")
  1.069  PIC          psa_toi_meas_1_lo_swpg.jpg

  1.070  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_2_lo_swpg")
  1.071  PIC          psa_toi_meas_2_lo_swpg.jpg

  1.072  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_3_lo_swpg")
  1.073  PIC          psa_toi_meas_3_lo_swpg.jpg

  1.074  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_1a_swpg_uwsg")
  1.075  PIC          psa_toi_meas_1a_swpg_uwsg.jpg

  1.076  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_2a_swpg_uwsg")
  1.077  PIC          psa_toi_meas_2a_swpg_uwsg.jpg

  1.078  IF           @E4445A
  1.079  MATH         Time = "3 minutes"
  1.080  ELSE
  1.081  MATH         Time = "4½ minutes"
  1.082  ENDIF

  1.083  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_3a_swpg_uwsg")
  1.084  PIC          psa_toi_meas_3a_swpg_uwsg.jpg

# The following (3) employ an 11667B Power Splitter...
  1.085  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_1b_swpg_uwsg")
  1.086  PIC          psa_toi_meas_1b_swpg_uwsg.jpg

  1.087  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_2b_swpg_uwsg")
  1.088  PIC          psa_toi_meas_2b_swpg_uwsg.jpg

  1.089  ELSEIF       ZCMPI(@Connection, "psa_toi_meas_3b_swpg_uwsg")
  1.090  PIC          psa_toi_meas_3b_swpg_uwsg.jpg

  1.091  ELSEIF       ZCMPI(@Connection, "termination")

  1.092  IF           @Opt_BAB
  1.093  DISP         Connect a Type "N", DC to [V Limit], 50 Ohm termination
  1.093  DISP         to the UUT RF INPUT 50 Ohms via a Type "N" (f) to
  1.093  DISP         3.5 mm (f) adapter.
  1.094  ELSE
  1.095  DISP         Connect a Type "N", DC to [V Limit], 50 Ohm termination
  1.095  DISP         to the UUT RF INPUT 50 Ohms.
  1.096  ENDIF

# Determine time until next operator intervention based on UUT model and
# option configuration.
  1.097  IF           @E4443A
  1.098  MATH         Time = 20
  1.099  ELSEIF       @E4445A
  1.100  MATH         Time = 25
  1.101  ELSE
  1.102  MATH         Time = 30
  1.103  ENDIF

  1.104  IF           @Opt_1DS
  1.105  MATH         Time = Time + 11
  1.106  ELSEIF       @Opt_110

  1.107  IF           @E4443A
  1.108  MATH         Time = Time + 11
  1.109  ELSEIF       @E4445A
  1.110  MATH         Time = Time + 15
  1.111  ELSE
  1.112  MATH         Time = Time + 20
  1.113  ENDIF

  1.114  ENDIF

  1.115  MATH         Time = Time & " minutes"

  1.116  ELSE
  1.117  DISP         Error in subprocedure:
  1.117  DISP         [32]  Sub PSA Display Connection
  1.117  DISP
  1.117  DISP         Cannot locate connection instructions for:
  1.117  DISP         [32]  [V @Connection]
  1.118  MATH         @Abort = 1
  1.119  END
  1.120  ENDIF

# Unable to display time messages for sectioned procedure, since we have no
# way to know which sections were selected at Run-Time.  Retaining this
# procedure code, awaiting implementation of enhancement request SWCAL-1957.
# -CAD 6/9/2015
  1.121  IF           0

# Precedence is given to @Time if it is specified by the calling procedure.
# The variable @Time is then deleted to prevent future conflicts.
  1.122  IF           ISVAR("@Time")

# Suppress the operator intervention message if @Time is specified, but it is
# an empty string.  This may be used when re-displaying connection messages in
# the middle of a test sequence, where remaining time may not be known.
  1.123  IF           EMPTY(@Time)
  1.124  MATH         DEL("Time");  DEL("@Time")
  1.125  ELSE
  1.126  MATH         Time = @Time; DEL("@Time")
  1.127  ENDIF

  1.128  ENDIF

# Only display a prompt if Time is defined.
  1.129  IF           ISVAR("Time")
  1.130  HEAD         -2 Next Operator Intervention
  1.131  DISP         The next operator intervention will occur in
  1.131  DISP         approximately [V Time].
  1.131  DISP
  1.131  DISP         Select "Advance" to proceed.
  1.132  ENDIF

  1.133  ENDIF        ; 0

# Store connection for future checks throughout this procedure.
  1.134  MATH         @Connected = @Connection
  1.135  HEAD         -2
  1.136  ENDIF        ; NOT(ZCMPI(@Connection, @Connected))

  1.137  END
