﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub PSA Frequency Response Tests /9640
DATE:                  2015-01-22 10:20:27
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 10159 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       153
CONFIGURATION:         Fluke 9640A
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM, CAD
#
#  Model(s) Covered:
#        E444xA series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.19) or later
#
#  Additional Equipment Required:
#        None
#
#  Uncertainty Analysis:
#
#   Frequency Response (300 kHz to 300 MHz):
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#      - 9640A Absolute Amplitude Accuracy (50 Ohms)
#      - 9640A Output VSWR Specification
#      - UUT Input VSWR Specification
#      - 9640A-50 Leveling Head to UUT RF Input Mismatch Uncertainty
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Abbreviate global variable name for local use.
  1.001  MATH         DevName = @9640DevName

# The source's output is leveled for a -10 dBm reading on the PSA at 50 MHz,
# within a ± 0.02 dB aperture.  Once leveled, this reference amplitude
# remains in effect for the duration of the test.  The following variables
# specify these leveling routine parameters.
  1.002  MATH         @9640Freq = 50E+6; @9640Lvl = @PSA_RefLvl
  1.003  MATH         @HiLimit = @PSA_RefLvl + 0.02
  1.004  MATH         @LoLimit = @PSA_RefLvl - 0.02

  1.005  SCPI         CALC:MARK:AOFF;:FREQ:CENT 50E+6;SPAN 20E+3
  1.006  SCPI         POW:RF:ATT [V @Atten]
  1.007  SCPI         DISP:WIND:TRAC:Y:RLEV -5;PDIV 1

  1.008  IF           @AC_Coupled
  1.009  SCPI         INP:COUP AC
  1.010  ELSEIF       @DC_Coupled
  1.011  SCPI         INP:COUP DC
  1.012  ELSE
  1.013  DISP         UUT Input Coupling not specified!
  1.014  MATH         @Abort = 1
  1.015  END
  1.016  ENDIF

  1.017  HEAD         -2 Setting 50 MHz reference level...
  1.018  9640         OutputImp = 50 Ohms; RefFreqOutput = 10 MHz
  1.018  9640         +Level = [V @9640Lvl] dBm; Freq = [V @9640Freq] Hz
  1.019  SCPI         INIT:IMM;*WAI;:CALC:MARK:MAX;Y?[I]

# Establish 50 MHz reference level.
  1.020  WHILE        ((MEM <= @LoLimit) || (MEM >= @HiLimit)) && NOT(@Error)
  1.021  CALL         Sub PSA Set Ref Level (Log) /9640
  1.022  ENDW

  1.023  IF           @Error
  1.024  EVAL   -e 0 : An error occurred during the [V @TestName].
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

# Compute normalized reference level uncertainty in percent for later
# combination with test uncertainty.
  2.004  MATH         LevelUnc = REFACC() / DBMTOW(MEM1) / CONF(DevName)
  2.005  MATH         LevelUncPct = LevelUnc * 100

  2.006  MATH         @LoadSWR = 1.07
  2.007  MATH         SourceSWR = ACCV(DevName, "VSWR 50", @9640Freq)
  2.008  MATH         MismatchUncPct = MISMATCHSWR(SourceSWR, @LoadSWR)
  2.009  MATH         @RefUncPct = RSS2(LevelUncPct, MismatchUncPct)

  2.010  SCPI         CALC:MARK:MODE DELTA

  2.011  IF           @Preamp
  2.012  MATH         @LoadSWR = 1.5

  2.013  IF           @Opt_1DS
  2.014  TOL          0.70U
  2.015  ELSE
  2.016  TOL          1.00U
  2.017  ENDIF

  2.018  ELSE

  2.019  MATH         @LoadSWR = 1.2

  2.020  IF           @Atten > 10
  2.021  TOL          0.53U
  2.022  ELSE
  2.023  TOL          0.38U
  2.024  ENDIF

  2.025  ENDIF

  2.026  SCPI         FREQ:SPAN 2E+3;:BAND:RES 300

  2.027  IF           @DC_Coupled && NOT(@Opt_110)
  2.028  MATH         @Freq = "0.30 MHz"
  2.029  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.030  MATH         @Freq = "0.50 MHz"
  2.031  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.032  MATH         @Freq = "0.75 MHz"
  2.033  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.034  MATH         @Freq = "1.00 MHz"
  2.035  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.036  MATH         @Freq = "2.50 MHz"
  2.037  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.038  MATH         @Freq = "5.00 MHz"
  2.039  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.040  ENDIF

  2.041  IF           @DC_Coupled || @Opt_110
  2.042  MATH         @Freq = "10.00 MHz"
  2.043  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.044  ENDIF

  2.045  IF           @AC_Coupled
  2.046  MATH         @Freq = "20.00 MHz"
  2.047  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.048  ENDIF

  2.049  MATH         @Freq = "25.00 MHz"
  2.050  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640

  2.051  SCPI         FREQ:SPAN 50E+3;:BAND:RES 10E+3

  2.052  MATH         @Freq = "150.00 MHz"
  2.053  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640
  2.054  MATH         @Freq = "250.00 MHz"
  2.055  CALL         Sub PSA (2 yr) RF Frequency Response Test /9640

  2.056  HEAD         -2
  2.057  9640         Standby
  2.058  END
