﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub PSA Get Questionable Power Status
INSTRUMENT:            Sub PSA Get Questionable Frequency Status
INSTRUMENT:            Sub PSA Get Questionable Temperature Status
INSTRUMENT:            Sub PSA Get Questionable Calibration Status
DATE:                  2011-11-04
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       93
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Agilent PSA series
#
#  Compatibility:
#        MET/CAL 7.2 or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         POWER                        PSUBI("Power")
  1.002  JMPL         FREQ                         PSUBI("Frequency")
  1.003  JMPL         TEMP                         PSUBI("Temperature")
  1.004  JMPL         CAL                          PSUBI("Calibration")
  1.005  DISP         Called {Subprocedure Not Found}!
  1.006  END

  1.007  EVAL   Increment Test Number

# =====  Sub PSA Get Questionable Power Status  ============================

  2.001  LABEL        POWER
  2.002  IEEE         *SRE 0;:STAT:QUES:POW:COND?[I]
  2.003  MATH         @RefPwrTooHigh    = BIT(5, MEM)
  2.004  MATH         @InputOvld        = BIT(6, MEM)
  2.005  MATH         @LO_OutUnlvld     = BIT(8, MEM)
  2.006  END

  2.007  EVAL   Increment Test Number

# =====  Sub PSA Get Questionable Frequency Status  ========================

  3.001  LABEL        FREQ
  3.002  IEEE         *SRE 0;:STAT:QUES:FREQ:COND?[I]
  3.003  MATH         @FreqRefUnlk      = BIT(1, MEM)
  3.004  MATH         @SynthUnlk        = BIT(4, MEM)
  3.005  MATH         @InvalidBW        = BIT(5, MEM)
  3.006  MATH         @IF_SynthUnlk     = BIT(6, MEM)
  3.007  MATH         @CalOsc_SynthUnlk = BIT(7, MEM)
  3.008  END

  3.009  EVAL   Increment Test Number

# =====  Sub PSA Get Questionable Temperature Status  ======================

  4.001  LABEL        TEMP
  4.002  IEEE         *SRE 0;:STAT:QUES:TEMP:COND?[I]
# Currently (A.11.18), no bits are assigned in this register.
  4.003  END

  4.004  EVAL   Increment Test Number

# =====  Sub PSA Get Questionable Calibration Status  ======================

  5.001  LABEL        CAL
  5.002  IEEE         *SRE 0;:STAT:QUES:CAL:COND?[I]
  5.003  MATH         @RF_AlignFail      = BIT(3, MEM)
  5.004  MATH         @IF_AlignFail      = BIT(4, MEM)
  5.005  MATH         @ADC_AlignFail     = BIT(6, MEM)
  5.006  MATH         @ExtendedAlignReq  = BIT(8, MEM)
  5.007  MATH         @ExtendedAlignFail = BIT(9, MEM)
  5.008  MATH         @AlignAllReq       = BIT(14, MEM)
  5.009  END
